const app = getApp()
import {
  throttle,
  getWaterDrop
} from '../../utils/index/index'
Component({
  /**
   * 组件的属性列表
   */
  options: {
    // 使用基础库内置的数据变化观测器
    observers: true,
  },
  props: {
    // 是否显示modal
    visible: {
      type: Boolean,
      value: false
    },
    // 自定义内容
    content: {
      type: String,
      value: ''
    },
    showCancelBtn: { // 定义一个属性
      type: Boolean,
      value: true, // 默认值
    },
    //确认按钮回调
    onOk: {
      type: Function,
      value: () => {}
    },
  },
  /**
   * 组件的初始数据
   */
  data: {
    btnStatus: true,
  },
  didMount() {
    console.log(this.props.showCancelBtn)
  },
  didUpdate(newVal, oldVal) {
    console.log('didUpdate', newVal, oldVal)
    console.log(this.props.showCancelBtn)
  },
  /**
   * 组件的方法列表
   */
  methods: {
    updateValue(newVal) {
      console.log(newVal)
      // 更新内部数据或执行其他逻辑
      this.setData({
        btnStatus: newVal
      });
    },
    cancel: throttle( function () {
      const _this = this;
      setTimeout(()=>{
        _this.props.onOk();
      }, 100)
    }, 1000),
  },
  observers: {
    "showCancelBtn": function(val) {
      // 属性变化监听器
      console.log('myProperty changed from', val);
      this.updateValue(val);
    }
  }
})
